(let [{
  : flatten
  : create-corpus 
  } (require :src.story)]

  (let [corpus (create-corpus "test/morpheme-word-epithet.txt")
        origin-key :name
        origin-table ["[morpheme][word] [epithet]"
                      "[prefix] [morpheme][word] [epithet]"
                      "[prefix] [morpheme][word]"
                      ]
        origin-string "[morpheme][word] [epithet]"
        get-story-with-key
          (partial flatten corpus (. corpus origin-key))
        get-story-with-table
          (partial flatten corpus origin-table)
        get-story-with-string
          (partial flatten corpus origin-string)
        ]
      (print "\n== Cast of Characters ==")
      (for [_ 1 4] (print (get-story-with-key)))
      (for [_ 1 4] (print (get-story-with-table)))
      (for [_ 1 4] (print (get-story-with-string)))))
